Commit in LCDetectors/detectors on MAIN
make_lcdd.sh+24added 1.1
make_all_lcdd.sh+13added 1.1
+37
2 added files
JM: Add rewritten scripts to build LCDD files.

LCDetectors/detectors
make_lcdd.sh added at 1.1
diff -N make_lcdd.sh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ make_lcdd.sh	29 Aug 2006 20:15:20 -0000	1.1
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+#
+# Script to convert all detectors from compact to LCDD.
+#
+# Make sure you have Java 1.5.0 setup before running this.
+#
+
+# Where is your GeomConverter run script?
+if [ -z "$GEOMCONVERTER" ]; then
+    GEOMCONVERTER="${PRJ_DIST}/GeomConverter/pro/bin/GeomConverter"
+fi
+
+if [ -z "$1" ]; then
+  echo "ERROR: Missing detector to convert."
+  exit 1
+fi
+
+f=./$1/compact.xml
+d=$(dirname $f)
+
+$GEOMCONVERTER -o lcdd $f $d.lcdd
+
+mv $d.lcdd $d

LCDetectors/detectors
make_all_lcdd.sh added at 1.1
diff -N make_all_lcdd.sh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ make_all_lcdd.sh	29 Aug 2006 20:15:20 -0000	1.1
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+for d in $(cat taglist.txt); do
+    if [ -d $d ]; then
+        if [ -e $d/compact.xml ]; then
+            echo $d
+            ./make_lcdd.sh $d
+        fi
+    fi
+done
+
+
+
CVSspam 0.2.8